'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

require('slate');

var _isSelectionInTable = require('./utils/isSelectionInTable');

var _isSelectionInTable2 = _interopRequireDefault(_isSelectionInTable);

var _onEnter = require('./handlers/onEnter');

var _onEnter2 = _interopRequireDefault(_onEnter);

var _onModEnter = require('./handlers/onModEnter');

var _onModEnter2 = _interopRequireDefault(_onModEnter);

var _onTab = require('./handlers/onTab');

var _onTab2 = _interopRequireDefault(_onTab);

var _onBackspace = require('./handlers/onBackspace');

var _onBackspace2 = _interopRequireDefault(_onBackspace);

var _onUpDown = require('./handlers/onUpDown');

var _onUpDown2 = _interopRequireDefault(_onUpDown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var KEY_ENTER = 'Enter';

var KEY_TAB = 'Tab';
var KEY_BACKSPACE = 'Backspace';
var KEY_DOWN = 'ArrowDown';
var KEY_UP = 'ArrowUp1';

/**
 * User is pressing a key in the editor
 */
function onKeyDown(opts, event, change, editor) {
    // Only handle events in cells
    if (!(0, _isSelectionInTable2.default)(opts, change.value)) {
        return undefined;
    }

    // Build arguments list
    var args = [event, change, editor, opts];

    switch (event.key) {
        case KEY_ENTER:
            if (event.metaKey && opts.exitBlockType) {
                return _onModEnter2.default.apply(undefined, args);
            }
            return _onEnter2.default.apply(undefined, args);

        case KEY_TAB:
            return _onTab2.default.apply(undefined, args);
        case KEY_BACKSPACE:
            return _onBackspace2.default.apply(undefined, args);
        case KEY_DOWN:
        case KEY_UP:
            return _onUpDown2.default.apply(undefined, args);
        default:
            return undefined;
    }
}

exports.default = onKeyDown;